org.apache.pdfbox.preflight.font

## Class CIDType0FontValidator

- java.lang.Object
- - org.apache.pdfbox.preflight.font.FontValidator<T>
  - - org.apache.pdfbox.preflight.font.SimpleFontValidator<T>
    - - org.apache.pdfbox.preflight.font.DescendantFontValidator<CIDType0Container>
      - - org.apache.pdfbox.preflight.font.CIDType0FontValidator

    public class CIDType0FontValidator
    extends DescendantFontValidator<CIDType0Container>

### Field Summary

### Fields inherited from class org.apache.pdfbox.preflight.font.DescendantFontValidator

`cosDocument`

### Fields inherited from class org.apache.pdfbox.preflight.font.SimpleFontValidator

`font, fontDictionary`

### Fields inherited from class org.apache.pdfbox.preflight.font.FontValidator

`context, descriptorHelper, fontContainer`

### Constructor Summary

Constructors
Constructor and Description
`CIDType0FontValidator(PreflightContext context, org.apache.pdfbox.pdmodel.font.PDCIDFontType0 font)`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected void` `checkCIDToGIDMap(org.apache.pdfbox.cos.COSBase ctog)` This method checks the CIDtoGIDMap entry of the Font dictionary.
`protected void` `createFontDescriptorHelper()`

### Methods inherited from class org.apache.pdfbox.preflight.font.DescendantFontValidator

`checkCIDSystemInfo, checkCIDToGIDMap, checkMandatoryField`

### Methods inherited from class org.apache.pdfbox.preflight.font.SimpleFontValidator

`processFontDescriptorValidation, validate`

### Methods inherited from class org.apache.pdfbox.preflight.font.FontValidator

`checkEncoding, checkToUnicode, getFontContainer`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CIDType0FontValidator

    public CIDType0FontValidator(PreflightContext context,
                                 org.apache.pdfbox.pdmodel.font.PDCIDFontType0 font)

### Method Detail

#### checkCIDToGIDMap

    protected void checkCIDToGIDMap(org.apache.pdfbox.cos.COSBase ctog)

Description copied from class: `DescendantFontValidator`
This method checks the CIDtoGIDMap entry of the Font dictionary. call the DescendantFontValidator.checkCIDToGIDMap(COSBase, boolean) with right parameters according to the instance of DescendantFontValidator

Specified by:
  `checkCIDToGIDMap` in class `DescendantFontValidator<CIDType0Container>`

#### createFontDescriptorHelper

    protected void createFontDescriptorHelper()

Specified by:
  `createFontDescriptorHelper` in class `SimpleFontValidator<CIDType0Container>`